#version 330

layout(location=0) in vec2 position;

out vec2 texpos;

uniform mat4 fullTransformMatrix;

void main()
{
        texpos = position + 0.5;
        gl_Position = fullTransformMatrix * vec4( position, 0, 1 );
}
